PDA

View Full Version : [other] Xfde & Orca



HonkIfYouLikeLinux
August 29th, 2009, 08:33 PM
Hi I use Orca speech software on Ubuntu with Gnome but I'd like to use a smaller DE, so I switched to the smallest DE I could find, that still has the menu and common layout for an easy navigation (lxde).
Yes Lxde not Xfce, I do have some trouble with it though.
From Gnome terminal in Lxde when I type orce the response is:


(orca:16815): Wnck-WARNING **: Unhandled action type _OB_WM_ACTION_UNDECORATE


(orca:16815): Wnck-WARNING **: Unhandled action type _OB_WM_ACTION_UNDECORATE
And Orca shuts up.
I am not compleatly blinde yet so I can still do some things with some help but I will need this working.
If you are wondering for what reason I am using Lxde insted of Gnome or any other when I use to, its because the system is very slow... I will not give out specks but its not even a P4.
As to other speech servers that might run without a DE, I am not that far along yet to leav my DE aside.
I apreasheate any help you can offer to me.

HonkIfYouLikeLinux
August 30th, 2009, 09:17 PM
Additianal error when using Firefox.



(orca:30607): Wnck-WARNING **: Unhandled action type _OB_WM_ACTION_UNDECORATE
/var/lib/python-support/python2.6/orca/scripts/toolkits/Gecko/script.py:2942: DeprecationWarning: the sets module is deprecated
import sets

HonkIfYouLikeLinux
September 2nd, 2009, 02:51 AM
I ran some tests when running Orca and I thing it's a gdk issue because I see a similar problem with gdk games now.

XubuRoxMySox
September 2nd, 2009, 10:54 AM
You may wish to experiment with the latest version of Knoppix (http://distrowatch.com/?newsid=05299). It uses LXDE and Arianne, which is designed specifically for the visually impaired. It's Debian based (as Ubuntu is), so it will not be unfamiliar at all.

-Robin

HonkIfYouLikeLinux
September 5th, 2009, 12:11 AM
Do you know if it uses Orca?